Index: c/src/exec/score/ChangeLog
===================================================================
--- c/src/exec/score/ChangeLog	(revision 485c9741ab214a64777d45d482f0a86fe2c5ebdd)
+++ c/src/exec/score/ChangeLog	(revision e90ff51fd8c2fb35228fe29fa381616ec7f26284)
@@ -1,2 +1,8 @@
+2002-07-05	Joel Sherrill <joel@OARcorp.com>
+
+	* macros/rtems/score/object.inl: Corrected implementation of
+	_Objects_Open, _Objects_Close, and _Objects_Namespace_remove
+	to be consistent with the inline implementation.
+
 2002-07-01    Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/exec/score/macros/rtems/score/object.inl
===================================================================
--- c/src/exec/score/macros/rtems/score/object.inl	(revision 485c9741ab214a64777d45d482f0a86fe2c5ebdd)
+++ c/src/exec/score/macros/rtems/score/object.inl	(revision e90ff51fd8c2fb35228fe29fa381616ec7f26284)
@@ -145,5 +145,5 @@
 
 #define _Objects_Open( _information, _the_object, _name ) \
-  { \
+  do { \
     unsigned32 _index; \
     \
@@ -152,9 +152,11 @@
     \
     if ( (_information)->is_string ) \
-      _Objects_Copy_name_string( (_name), (_the_object)->name ); \
+      /* _Objects_Copy_name_string( (_name), (_the_object)->name ); */\
+      (_the_object)->name = name; \
     else \
-      _Objects_Copy_name_raw( \
-        (_name), (_the_object)->name, (_information)->name_length ); \
-  }
+      /* _Objects_Copy_name_raw( \
+        (_name), (_the_object)->name, (_information)->name_length ); */ \
+      (_the_object)->name = name; \
+  } while (0)
 
 /*PAGE
@@ -165,11 +167,12 @@
 
 #define _Objects_Close( _information, _the_object ) \
-  { \
+  do { \
     unsigned32 _index; \
     \
     _index = _Objects_Get_index( (_the_object)->id ); \
     (_information)->local_table[ _index ] = (Objects_Control *) NULL; \
-    _Objects_Clear_name( (_the_object)->name, (_information)->name_length ); \
-  }
+    /* _Objects_Clear_name( (_the_object)->name, (_information)->name_length );  */ \
+    (_the_object)->name = 0; \
+  } while (0)
 
 /*PAGE
@@ -179,4 +182,5 @@
 
 #define _Objects_Namespace_remove( _information, _the_object ) \
+  (_the_object)->name = 0 \
   _Objects_Clear_name( (_the_object)->name, (_information)->name_length )
 
Index: cpukit/score/ChangeLog
===================================================================
--- cpukit/score/ChangeLog	(revision 485c9741ab214a64777d45d482f0a86fe2c5ebdd)
+++ cpukit/score/ChangeLog	(revision e90ff51fd8c2fb35228fe29fa381616ec7f26284)
@@ -1,2 +1,8 @@
+2002-07-05	Joel Sherrill <joel@OARcorp.com>
+
+	* macros/rtems/score/object.inl: Corrected implementation of
+	_Objects_Open, _Objects_Close, and _Objects_Namespace_remove
+	to be consistent with the inline implementation.
+
 2002-07-01    Joel Sherrill <joel@OARcorp.com>
 
Index: cpukit/score/macros/rtems/score/object.inl
===================================================================
--- cpukit/score/macros/rtems/score/object.inl	(revision 485c9741ab214a64777d45d482f0a86fe2c5ebdd)
+++ cpukit/score/macros/rtems/score/object.inl	(revision e90ff51fd8c2fb35228fe29fa381616ec7f26284)
@@ -145,5 +145,5 @@
 
 #define _Objects_Open( _information, _the_object, _name ) \
-  { \
+  do { \
     unsigned32 _index; \
     \
@@ -152,9 +152,11 @@
     \
     if ( (_information)->is_string ) \
-      _Objects_Copy_name_string( (_name), (_the_object)->name ); \
+      /* _Objects_Copy_name_string( (_name), (_the_object)->name ); */\
+      (_the_object)->name = name; \
     else \
-      _Objects_Copy_name_raw( \
-        (_name), (_the_object)->name, (_information)->name_length ); \
-  }
+      /* _Objects_Copy_name_raw( \
+        (_name), (_the_object)->name, (_information)->name_length ); */ \
+      (_the_object)->name = name; \
+  } while (0)
 
 /*PAGE
@@ -165,11 +167,12 @@
 
 #define _Objects_Close( _information, _the_object ) \
-  { \
+  do { \
     unsigned32 _index; \
     \
     _index = _Objects_Get_index( (_the_object)->id ); \
     (_information)->local_table[ _index ] = (Objects_Control *) NULL; \
-    _Objects_Clear_name( (_the_object)->name, (_information)->name_length ); \
-  }
+    /* _Objects_Clear_name( (_the_object)->name, (_information)->name_length );  */ \
+    (_the_object)->name = 0; \
+  } while (0)
 
 /*PAGE
@@ -179,4 +182,5 @@
 
 #define _Objects_Namespace_remove( _information, _the_object ) \
+  (_the_object)->name = 0 \
   _Objects_Clear_name( (_the_object)->name, (_information)->name_length )
 
